Update API key
curl --request PATCH \
--url https://api.gcore.com/cloud/v1/caas/keys/{project_id}/{region_id}/{key_name} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"containers": [
{
"name": "my-container",
"namespace": "space"
}
],
"description": "my first key",
"expire": "2023-07-31T00:00:00Z",
"is_disabled": false
}
'import requests
url = "https://api.gcore.com/cloud/v1/caas/keys/{project_id}/{region_id}/{key_name}"
payload = {
"containers": [
{
"name": "my-container",
"namespace": "space"
}
],
"description": "my first key",
"expire": "2023-07-31T00:00:00Z",
"is_disabled": False
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
containers: [{name: 'my-container', namespace: 'space'}],
description: 'my first key',
expire: '2023-07-31T00:00:00Z',
is_disabled: false
})
};
fetch('https://api.gcore.com/cloud/v1/caas/keys/{project_id}/{region_id}/{key_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"containers": [
{
"name": "my-container",
"namespace": "space"
}
],
"created_at": "2023-08-22T11:21:00Z",
"description": "my first key",
"expire": "2023-07-31T00:00:00Z",
"is_disabled": false,
"name": "my-key",
"source": "cloud",
"status": "Expired"
}Container as a Service
Update API key
Update the configuration of an existing API key.
PATCH
/
cloud
/
v1
/
caas
/
keys
/
{project_id}
/
{region_id}
/
{key_name}
Update API key
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project id
Example:
1
Region id
Example:
1
Key name
Pattern:
^[a-zA-Z0-9][a-zA-Z0-9.-]+[a-zA-Z0-9]$Example:
"key-name"
Body
application/json
List of containers using key
Show child attributes
Show child attributes
Example:
[
{
"name": "my-container",
"namespace": "space"
}
]
Key description
Example:
"my first key"
Key expires at
Example:
"2023-07-31T00:00:00Z"
Set to true if key is disabled
Example:
false
Response
200 - application/json
OK
List of containers using key
Show child attributes
Show child attributes
Example:
[
{
"name": "my-container",
"namespace": "space"
}
]
Key starts to work
Example:
"2023-08-22T11:21:00Z"
Key description
Example:
"my first key"
Key expires at
Example:
"2023-07-31T00:00:00Z"
Set to true if key is disabled
Example:
false
Key name
Example:
"my-key"
Source of the apikey, can be 'cloud' or 'iate'
Example:
"cloud"
Key status
Example:
"Expired"
Was this page helpful?
⌘I